Bug 977739 - jetty: incorrect license tag
jetty: incorrect license tag
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: jetty (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 05:03 EDT by Michal Srb
Modified: 2013-06-26 01:20 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-26 01:20:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Srb 2013-06-25 05:03:42 EDT
Description of problem:

jetty-util contains file licensed under MIT-like license.

jetty-util/src/main/java/org/eclipse/jetty/util/security/UnixCrypt.java
Comment 1 Michal Srb 2013-06-25 05:11:59 EDT
Blocking FE-LEGAL

Above mentioned file contains following header:

/*
 * @(#)UnixCrypt.java   0.9 96/11/25
 *
 * Copyright (c) 1996 Aki Yoshida. All rights reserved.
 *
 * Permission to use, copy, modify and distribute this software
 * for non-commercial or commercial purposes and without fee is
 * hereby granted provided that this copyright notice appears in
 * all copies.
 */

Could someone please check whether this license is OK for Fedora? I am not quite sure about "for non-commercial or commercial purposes *and without fee*" part.

Thanks
Comment 2 Tom "spot" Callaway 2013-06-25 10:11:11 EDT
Yeah, this is fine. Badly worded, but the intent is clear. Use MIT as the License tag.

Lifting FE-Legal.
Comment 3 Michal Srb 2013-06-26 01:20:35 EDT
Thanks for clarification. I have noticed that jetty-util contains another MIT licensed file and license tag for this particular subpackage is correct. Rest of the project is ASL 2.0 or EPL licensed. Closing this as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.